Loading...
Searching...
No Matches
elxElastixTemplate.h File Reference
`#include "elxElastixBase.h"`
`#include "elxFixedImagePyramidBase.h"`
`#include "elxImageSamplerBase.h"`
`#include "elxInterpolatorBase.h"`
`#include "elxMetricBase.h"`
`#include "elxMovingImagePyramidBase.h"`
`#include "elxOptimizerBase.h"`
`#include "elxRegistrationBase.h"`
`#include "elxResampleInterpolatorBase.h"`
`#include "elxResamplerBase.h"`
`#include "elxTransformBase.h"`
`#include <itkCommand.h>`
`#include <itkImage.h>`
`#include <itkObject.h>`
`#include <sstream>`
`#include "elxElastixTemplate.hxx"`
Include dependency graph for elxElastixTemplate.h:

Go to the source code of this file.

## Data Structures

class | elastix::ElastixTemplate< TFixedImage, TMovingImage >

## Namespaces

namespace | elastix

## Macros

#define | elxGetBaseMacro(_name, _elxbasetype)

## Macro Definition Documentation

## elxGetBaseMacro

#define elxGetBaseMacro | ( |  | _name,
|  |  | _elxbasetype )

Value:
_elxbasetype * GetElx##_name##Base(const unsigned int idx = 0) const \
{ \
if (idx < this->GetNumberOf##_name##s()) \
{ \
return dynamic_cast<_elxbasetype *>(this->Get##_name##Container()->ElementAt(idx).GetPointer()); \
} \
return nullptr; \
}

Macro that defines to functions. In the case of _name = Metric and _elxBaseType = MetricBaseType this results in: MetricBaseType * GetElxMetricBase() const; MetricBaseType * GetElxMetricBase(unsigned int idx) const;

The first function simply calls the second with argument = 0. The second retrieves the metric component from the MetricContainer and casts it to a MetricBaseType*;

This macro is #undef'ed at the end of this header file.

Definition at line 54 of file elxElastixTemplate.h.

Generated on 1768596610 for elastix by 1.15.0 |